import { render, screen } from '@testing-library/react'
import React from 'react'
import NoAnalysisModal from './NoAnalysisModal'

describe('NoAnalysisModal component', () => {
  it('should be render a modal with a button', () => {
    render(<NoAnalysisModal open={true} onClose={jest.fn()} />)
    expect(screen.getByRole('dialog')).toBeInTheDocument()
    expect(screen.getAllByRole('button').length).toBe(2)
  })
})
