import { render, screen } from '@testing-library/react'
import React from 'react'
import ChallengeNoFluidModal from './ChallengeNoFluidModal'

describe('ChallengeNoFluidModal component', () => {
  it('should be rendered correctly opened', () => {
    const { baseElement } = render(
      <ChallengeNoFluidModal open={true} handleCloseClick={jest.fn()} />
    )
    expect(baseElement).toMatchSnapshot()
    expect(screen.getByRole('dialog')).toBeInTheDocument()
  })
})
