import EglIcon from 'assets/icons/visu/onboarding/egl.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import './stepDetail.scss'

const EpglCreateAccount = () => {
  const { t } = useI18n()

  return (
    <div className="step-detail-info">
      <StyledIcon className="info-icon" icon={EglIcon} size={220} />
      <div className="info-content text-18-normal">
        <div
          className="info-content-text"
          dangerouslySetInnerHTML={{
            __html: t('auth.eglgrandlyon.step2.info1'),
          }}
        />
      </div>
    </div>
  )
}

export default EpglCreateAccount
