/** Raw errors from konnector */
export enum KonnectorError {
  LOGIN_FAILED = 'LOGIN_FAILED',
  USER_ACTION_NEEDED = 'USER_ACTION_NEEDED',
  TERMS_VERSION_MISMATCH = 'TERMS_VERSION_MISMATCH',
  CHALLENGE_ASKED = 'CHALLENGE_ASKED',
  UNKNOWN_ERROR = 'UNKNOWN_ERROR',
  CRITICAL = 'exit status 1',
  MISSING_SECRET = "Cannot read property 'secret' of null",
  USER_ACTION_NEEDED_ACCOUNT_REMOVED = 'USER_ACTION_NEEDED.ACCOUNT_REMOVED',
  USER_ACTION_NEEDED_CGU_FORM = 'USER_ACTION_NEEDED.CGU_FORM',
  VENDOR_DOWN = 'VENDOR_DOWN',
  MAINTENANCE = 'MAINTENANCE',
}

export enum KonnectorUpdate {
  ERROR_UPDATE = 'error_update',
  ERROR_UPDATE_OAUTH = 'error_update_oauth',
  LOGIN_FAILED = 'login_failed',
}
