import { FluidType } from 'enums'
import React from 'react'
import StyledCard from './StyledCard'
import { render } from '@testing-library/react'

describe('StyledCard component test', () => {
  it('should render correctly Electricity StyledCard', () => {
    const { container } = render(
      <StyledCard fluidType={FluidType.ELECTRICITY}>children</StyledCard>
    )
    expect(container).toMatchSnapshot()
  })

  it('should render correctly Water StyledCard', () => {
    const { container } = render(
      <StyledCard fluidType={FluidType.WATER}>children</StyledCard>
    )
    expect(container).toMatchSnapshot()
  })

  it('should render correctly Gas StyledCard', () => {
    const { container } = render(
      <StyledCard fluidType={FluidType.GAS}>children</StyledCard>
    )
    expect(container).toMatchSnapshot()
  })
})
